Interface ShareService

All Known Implementing Classes:
ShareServiceImpl

public interface ShareService
Shares entities such as issues, saved searches or unsaved searches via e-mail.
Since:
v5.0
  • Method Details

    • validateShareIssue

      ShareService.ValidateShareIssueResult validateShareIssue(ApplicationUser remoteUser, ShareBean shareBean, Issue issue)
      Confirms that the shareBean param contains either usernames or e-mails and also validates that the user performing this operation has the permission to view other users in this JIRA instance.
      Parameters:
      remoteUser - The user performing the share operation
      shareBean - Bean containing information about who to share with
      issue - The issue being shared
      Returns:
      A service result
    • shareIssue

      void shareIssue(ShareService.ValidateShareIssueResult result)
      Given a valid ValidateShareIssueResult this method will send an e-mail to the users and fire a ShareIssueEvent
      Parameters:
      result - a valid validateShareIssueResult.
    • validateShareSearchRequest

      ShareService.ValidateShareSearchRequestResult validateShareSearchRequest(ApplicationUser remoteUser, ShareBean shareBean, SearchRequest searchRequest)
      Confirms that the shareRequest param contains either usernames or e-mails and also validates that the user performing this operation has the permission to view other users in this JIRA instance.
      Parameters:
      remoteUser - The user performing the share operation
      shareBean - Bean containing information about who to share with
      searchRequest - A saved filter being shared or null if a unsaved JQL search is being shared
      Returns:
      A service result
    • shareSearchRequest

      void shareSearchRequest(ShareService.ValidateShareSearchRequestResult result)
      Given a valid ValidateShareIssueResult this method will send an e-mail to the users and fire a ShareJqlEvent or ShareSearchRequestEvent depending on if a saved filter was passed to the validate method.
      Parameters:
      result - a valid validateShareIssueResult.